<?php
session_start();

include('../config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

$ruta=$rutaPhp.$rutaHtml.$directorioDocs;

/*
if($_GET['archivo']) $archivo=$_GET['archivo']; else $archivo=$_POST['archivo'];
if($_GET['nombre']) $nombre=$_GET['nombre']; else $nombre=$_POST['nombre'];

$archivoComprobar=$ruta.'/'.$archivo;
$archivoRenombrar=$ruta.'/'.$nombre;

if(file_exists($archivoComprobar)) {

	if($archivoComprobar!=$archivoRenombrar) rename($archivoComprobar,$archivoRenombrar);
	echo $nombre;

}
*/

if($_GET['UUID']) $UUID=$_GET['UUID']; else $UUID=$_POST['UUID'];
if($_GET['archivo']) $archivo=$_GET['archivo']; else $archivo=$_POST['archivo'];

if($rest_ws_url) {

	$parametros=array(
		'UUID'=>$UUID,
		'nombreArchivo'=>$archivo
	);
	
	$curl = curl_init();
	
	curl_setopt($curl, CURLOPT_URL, $rest_ws_url.'/uploadDocSimple/existeArchivo');
	curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
	curl_setopt($curl, CURLOPT_POST, true);
	curl_setopt($curl, CURLOPT_POSTFIELDS, $parametros);

	$respuesta_curl = curl_exec($curl);
	
	curl_close($curl);
	
	if(isJson($respuesta_curl)) {
	
		$resultado=json_decode($respuesta_curl);
		
		echo $resultado->valor;
		
	}
	else echo 0;

}
else {

	$archivoComprobar=$ruta.'/'.$archivo;
	
	if(file_exists($archivoComprobar)) echo 1;
	else echo 0;
	
}

?>
